package cn.reghao.autodop.dmaster.rbac.db.query;

import cn.reghao.autodop.dmaster.rbac.model.po.Menu;
import cn.reghao.jdkutil.db.BaseQuery;

import java.util.*;

/**
 * @author reghao
 * @date 2021-07-12 15:32:26
 */
public interface MenuQuery extends BaseQuery<Menu> {
    List<Menu> findByPid(Integer pid);
    List<Menu> getSortedMenusByStatus(Boolean isEnabled);
    Map<Integer, String> getSortedChildGroupByPid(int pid);
}
